@import './main.scss';

.header {
    display: flex;
}
.header{
	z-index: 1;
	align-items: center;
	position: relative;
}

.header-ul {
	display: flex;
	align-items: center;
    margin: 45px 0;
    gap: 68px;
    justify-content: center;
}

.header-ul__element {
    list-style-type: none;
    
}
.header-ul__a {
	display: block;
	text-transform: uppercase;
	font-size: 11px;
    text-decoration: none;
    color: #4E4E4E;
    list-style-type: none;
    letter-spacing: 1.1px;
    font-weight: 400;
    line-height: 22px;
    
}
.header-ul__a:hover{
	color: #57A4A4;
}

.header-img {
    margin-bottom: 66px;
}

.header-burger__box {
    visibility: hidden;
    cursor: pointer;
    background-color: #000;
    width: 44px;
    height: 37px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    right: 25px;
    top: 23px;
}

.header-burger__icon {
    display: block;
    width: 17px;
    height: 2px;
    background-color: #fff;
    position: relative;

    &--active {
        background-color: transparent;
    }
}


.header-burger__icon::after {
    content: "";
    display: block;
    width: 17px;
    height: 2px;
    background-color: #fff;
    position: absolute;
    bottom: -4px;
    transition: 0.2s ease-in-out;
}

.header-burger__icon::before {
    content: "";
    display: block;
    width: 17px;
    height: 2px;
    background-color: #fff;
    position: absolute;
    top: -4px;
    transition: 0.2s ease-in-out;
}

.header-burger__icon__active::after {
    transition: 0.2s ease-in-out;
    bottom: 0;
    transform: rotate(0.12turn);
}

.header-burger__icon__active::before {
    transition: 0.2s ease-in-out;
    top: 0;
    transform: rotate(-0.12turn);
}




